# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/leds/ams,as3668.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Osram 4-channel i2c LED driver

maintainers:
  - Lukas Timmermann <linux@timmermann.space>

description:
  This IC can drive up to four separate LEDs.
  Having four channels suggests it could be used with a single RGBW LED.

properties:
  compatible:
    const: ams,as3668

  reg:
    maxItems: 1

  "#address-cells":
    const: 1

  "#size-cells":
    const: 0

patternProperties:
  "^led@[0-3]$":
    type: object
    $ref: common.yaml#
    unevaluatedProperties: false

    properties:
      reg:
        maxItems: 1

required:
  - compatible
  - reg
  - "#address-cells"
  - "#size-cells"

additionalProperties: false

examples:
  - |
    #include <dt-bindings/leds/common.h>

    i2c {
      #address-cells = <1>;
      #size-cells = <0>;

      led-controller@42 {
        compatible = "ams,as3668";
        reg = <0x42>;
        #address-cells = <1>;
        #size-cells = <0>;

        led@0 {
          reg = <0x0>;
          function = LED_FUNCTION_STATUS;
          color = <LED_COLOR_ID_RED>;
        };

        led@1 {
          reg = <0x1>;
          function = LED_FUNCTION_STATUS;
          color = <LED_COLOR_ID_GREEN>;
        };
      };
    };

